target_sources(${PROJECT_NAME}
    PUBLIC
        sdt/leader.h
        sdt/member.h
    PRIVATE
        sdt/channel.cpp
        sdt/channel.h
        sdt/leader.cpp
        sdt/member.cpp
        sdt/identity.cpp
        sdt/identity.h
        sdt/sdt.cpp
        sdt/sdt.h
        sdt/session.cpp
        sdt/session.h
        sdt/udp.cpp
        sdt/udp.h
    )
